NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback

## 5.6. nvmlEventData_t Struct Reference

## [Event Handling Methods]

Information about occurred event

### Public Variables

nvmlDevice_t device
  Specific device where the event occurred.
unsigned long long eventData
  Stores last XID error for the device in the event of nvmlEventTypeXidCriticalError,.
unsigned long long eventType
  Information about what specific event occurred.

### Variables

nvmlDevice_t nvmlEventData_t::device [inherited]

  Specific device where the event occurred.

unsigned long long nvmlEventData_t::eventData [inherited]

  Stores last XID error for the device in the event of nvmlEventTypeXidCriticalError,.

unsigned long long nvmlEventData_t::eventType [inherited]

  Information about what specific event occurred.

NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback